petsc-3.4.2 2013-07-02

# MatGetFactor

Returns a matrix suitable to calls to MatXXFactorSymbolic()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetFactor(Mat mat, const MatSolverPackage type,MatFactorType ftype,Mat *f)

Collective on Mat

### Input Parameters

| mat | - the matrix
| type | - name of solver type, for example, superlu, petsc (to use PETSc's default)
| ftype | - factor type, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ICC, MAT_FACTOR_ILU,

### Output Parameters

f -the factor matrix used with MatXXFactorSymbolic() calls

### Notes

Some PETSc matrix formats have alternative solvers available that are contained in alternative packages such as pastix, superlu, mumps etc.

PETSc must have been ./configure to use the external solver, using the option --download-package

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html